import { LibrariesIOResult, PaginationOptions, Project, RepositoryWithDependencies } from '../../interfaces/';
import { RequestService } from '../../RequestService';
export declare class GitHubRepositoryAPI {
    private readonly requestService;
    constructor(requestService: RequestService);
    getRepository(repositoryOwner: string, repositoryName: string): Promise<LibrariesIOResult<RepositoryWithDependencies>>;
    getRepositoryWithDependencies(repositoryOwner: string, repositoryName: string): Promise<LibrariesIOResult<RepositoryWithDependencies>>;
    getProjects(repositoryOwner: string, repositoryName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Project[]>>;
}
